read.phe {GeneticsBase} | R Documentation

## Read '.phe' phenotype file data

### Description

Read '.phe' phenotype file data

### Usage

    read.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)
    read.fbat.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)
    read.pbat.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)

### Arguments

`filename` | Name of the file
`columns` | Column names for the first two columns of a pedigree file. Defaults to "family" and "pid", where "family" is a unique identifier for each family, and "pid" is a unique identifier for each individual.
`quiet` | Logical indicating whether progress display is suppressed, Defaults to `TRUE`.
`...` | Additional (optional) parameters provided to function matrix

### Value

A data frame containing the file

### Author(s)

Gregory R. Warnes warnes@bst.rochester.edu and Nitin Jain nitin.jain@pfizer.com

### Examples

    # store where we are now
    here <- getwd()

    # move to the data directory
    dir <- file.path(.path.package("GeneticsBase"),"data")
    setwd(dir)

    # load hapmap chromosome 1 data
    xbat <- readGenes(gfile="xbat.ped", gformat="fbat.ped",
                      pfile="xbat.phe", pformat="fbat.phe")

    # look at the data
    xbat

    # return to the original path
    setwd(here)

[Package GeneticsBase version 1.8.0 Index]